| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Circle

Portability | unportable
Stability | unstable
Maintainer | Peter De Wachter <pdewacht@gmail.com>

Contents

Usage

Description
Circle is an elliptical, overlapping layout, by Peter De Wachter
Synopsis

data Circle a = Circle

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Circle

Then edit your `layoutHook` by adding the Circle layout:

     myLayout = Circle ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Circle a | Source

Constructors

Circle |

Instances

LayoutClass Circle Window
Read (Circle a)
Show (Circle a)

Produced by Haddock version 2.4.2